Skip to main content
GET
List AI agent items

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 100
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

type
string

Comma-separated item types: ai_agent, automation

Example:

"ai_agent,automation"

status
string

Comma-separated status values: Active, Paused, Draft, Error

Example:

"Active,Paused"

ai_agent_type
enum<integer>

Filter by agent sub-type. Implies type=ai_agent — automations have no sub-type.

Available options:
1,
2,
3,
4,
7,
8,
9,
10,
6
Example:

2

Text search on agent name

Example:

"My Agent"

Response

The list of Engage Item

items
Engage Item · object[]
required

The list of Engage Item

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Examples:

"01a03ad3-2bcf-7eeb-b47d-1d483ec6a0dd"

"2026-08-25T21:28:32.975Z"